/*

This file is part of jHaushalt.

jHaushalt is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

jHaushalt is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with jHaushalt; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(C)opyright 2002-2005 Dr. Lars H. Hahn

*/

package haushalt.gui.generischerdialog;

import haushalt.daten.Kategorie;

/**
 * @author Dr. Lars H. Hahn
 * @version 2.0/2004.08.22
 */
public class RegisterGDP extends TextArrayGDP {

  public RegisterGDP(String text, String[] register, String auswahl) {
    super(text, register, auswahl);
  }
  
  public void refreshRegisterUndKategorien(Kategorie[] kategorien, String[] register) {
    String regname = (String) comboBox.getSelectedItem();
    comboBox.removeAllItems();
    for(int i=0; i<register.length; i++) {
      comboBox.addItem(register[i]);
    }
    if(regname != null)
      comboBox.setSelectedItem(regname);
  }

}
